Bug 255456 - [New Port] games/xnethack: Experimental features and improvements applied to NetHack 3.7-dev
Summary: [New Port] games/xnethack: Experimental features and improvements applied to...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-28 10:58 UTC by Robert Clausecker
Modified: 2021-05-24 00:25 UTC (History)
2 users (show)

See Also:


Attachments
games/xnethack: Experimental features and improvements applied to NetHack 3.7-dev (40.34 KB, patch)
2021-04-28 10:58 UTC, Robert Clausecker
no flags Details | Diff
games/xnethack: Experimental features and improvements applied to NetHack 3.7-dev (40.33 KB, patch)
2021-05-10 12:45 UTC, Robert Clausecker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-04-28 10:58:37 UTC
Created attachment 224492 [details]
games/xnethack: Experimental features and  improvements applied to NetHack 3.7-dev

xNetHack is a fork of the dungeon exploration game NetHack.  It is a
distant descendent of Rogue and Hack, and a direct descendant of the
development version of NetHack 3.7.

The main goals of xNetHack are to take vanilla NetHack and:

 - Fix gameplay balance issues.
 - Remove tedious and frustrating parts of the game.
 - Make uninteresting parts of the game more interesting.
 - Experiment with new ideas from the community.

In general, the game design takes a conservative approach to changing
the gameplay compared to other variants, with focus on deepening
elements of the game rather than broadening them.  For example, this
philosophy would prefer to differentiate monsters in a class that all
tend to play the same way, instead of adding new monsters to that class.

WWW: https://nethackwiki.com/wiki/XNetHack

---

This port has been derived from games/nethack36 with slight changes.  It builds fine with Poudriere on armv7 FreeBSD 13.0 and arm64 FreeBSD 13.0.  Portlint likes it, too.  A corresponding port games/xnethack-nox11 is added, too.  Perhaps this could be converted to flavours in the future.
Comment 1 Robert Clausecker 2021-05-10 12:45:24 UTC
Created attachment 224808 [details]
games/xnethack: Experimental features and improvements applied to NetHack 3.7-dev

Update port to newly released version 6.1.
Comment 2 commit-hook freebsd_committer 2021-05-24 00:25:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7ef30eed0cf6f5626f708259518981a293a7645a

commit 7ef30eed0cf6f5626f708259518981a293a7645a
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-04-27 21:43:23 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-05-24 00:09:09 +0000

    games/xnethack: (new port) Experimental features and improvements applied to NetHack 3.7-dev

    xNetHack is a fork of the dungeon exploration game NetHack.  It is a
    distant descendent of Rogue and Hack, and a direct descendant of the
    development version of NetHack 3.7.

    The main goals of xNetHack are to take vanilla NetHack and:

     - Fix gameplay balance issues.
     - Remove tedious and frustrating parts of the game.
     - Make uninteresting parts of the game more interesting.
     - Experiment with new ideas from the community.

    In general, the game design takes a conservative approach to changing
    the gameplay compared to other variants, with focus on deepening
    elements of the game rather than broadening them.  For example, this
    philosophy would prefer to differentiate monsters in a class that all
    tend to play the same way, instead of adding new monsters to that class.

    WWW: https://nethackwiki.com/wiki/XNetHack

    PR:     255456

 games/Makefile                                     |   2 +
 games/xnethack-nox11/Makefile (new)                |   9 ++
 games/xnethack/Makefile (new)                      | 105 ++++++++++++
 games/xnethack/distinfo (new)                      |   3 +
 games/xnethack/files/patch-doc_dlb.6 (new)         |  11 ++
 games/xnethack/files/patch-doc_nethack.6 (new)     |  38 +++++
 games/xnethack/files/patch-doc_recover.6 (new)     |  20 +++
 games/xnethack/files/patch-include-config.h (new)  |  36 +++++
 games/xnethack/files/patch-include-system.h (new)  |  13 ++
 .../xnethack/files/patch-include-unixconf.h (new)  |  27 ++++
 games/xnethack/files/patch-src-files.c (new)       |  10 ++
 .../files/patch-sys-unix-Makefile.doc (new)        |  39 +++++
 .../files/patch-sys-unix-Makefile.src (new)        | 154 ++++++++++++++++++
 .../files/patch-sys-unix-Makefile.top (new)        | 175 ++++++++++++++++++++
 .../files/patch-sys-unix-Makefile.utl (new)        |  33 ++++
 games/xnethack/files/patch-sys-unix-sysconf (new)  |  11 ++
 games/xnethack/files/patch-util-makedefs.c (new)   |  71 ++++++++
 games/xnethack/files/patch-win-tty-termcap.c (new) |  13 ++
 .../xnethack/files/patch-win_Qt_qt__win.cpp (new)  |  14 ++
 games/xnethack/files/pkg-deinstall.in (new)        |  14 ++
 games/xnethack/pkg-descr (new)                     |  19 +++
 games/xnethack/pkg-plist (new)                     | 180 +++++++++++++++++++++
 22 files changed, 997 insertions(+)